%global commit  c855d044094a1d92317e38935d81ba938946132e
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20140507

Summary:        M.A.R.S. - A Ridiculous Shooter
Name:           marsshooter
Version:        0.7.5
Release:        10.%{gitdate}git%{shortcommit}%{?dist}
License:        GPLv3+ and LGPLv2+ and MPLv1.1
Group:          Amusements/Games
Url:            http://mars-game.sourceforge.net/
# wget https://github.com/thelaui/M.A.R.S./archive/c855d044094a1d92317e38935d81ba938946132e/marsshooter-0.7.5-c855d04.tar.gz
Source0:        https://github.com/thelaui/M.A.R.S./archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        %{name}.desktop
# https://github.com/thelaui/M.A.R.S./issues/7
Source2:         %{name}-man-page
# https://github.com/thelaui/M.A.R.S./issues/10
Patch0:         %{name}-0.7.4-cflags.patch
# https://github.com/thelaui/M.A.R.S./pull/6
Patch1:         %{name}-0.7.5-fix-segfault-when-using-arguments-without-path.patch
# https://gist.github.com/apoleon/a8ee6ba29e8071db617c
Patch2:         %{name}-0.7.5-cmake-menu.patch
# https://github.com/thelaui/M.A.R.S./pull/2
Patch3:         %{name}-0.7.5-shader-bind.patch
Patch4:		%{name}-0.7.5-glu-header.patch

BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  desktop-file-utils
BuildRequires:  SFML-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(taglib)
Requires:       %{name}-data = %{version}-%{release}

%description
It is a game for two players, flying with ships in a
two-dimensional space setting, governed by the laws of gravity.
It features:
    * awesome 2D-graphics with an unique style
    * a stunning amount of particles
    * single- and multiplayer-support
    * an artificial intelligence using an aggro-system, which
      reacts differentlyupon varying situations
    * many impressive weapons
    * customizable ships
    * a very sexy GUI
    * several game modes: Sacceball, TeamDeathmatch, Cannonkeep,
      Deathmatch, Grave-Itation Pit


%package data
Summary:       Audio icons xml files for %{name}
Group:         Amusements/Games
BuildArch:     noarch
Requires:      %{name} = %{version}-%{release}

%description data
This package contains audio, icons and xml files.


%prep
%setup -q -n M.A.R.S.-%{commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
dos2unix src/Shaders/postFX.cpp
%patch4 -p1
rm -fr cmake data_src ext_libs_for_windows
chmod -x data/locales/Polish.txt
dos2unix credits.txt license.txt

%build
%cmake -DCMAKE_CXX_FLAGS="%optflags" \
       -DCMAKE_VERBOSE_MAKEFILE=TRUE
make %{?_smp_mflags}


%install
# do not use make install DESTDIR=%%{buildroot}
install -D -m 755 mars %{buildroot}%{_bindir}/%{name}
install -D -d %{buildroot}%{_datadir}/%{name}
# Data files (maps, pixmaps, sounds) go in  %{_datadir}/%{name}
cp -r data/* %{buildroot}%{_datadir}/%{name}
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 resources/mars.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
install -D -m 644 resources/mars.png %{buildroot}%{_datadir}/icons/hicolor/512x512/apps/%{name}.png
install -D -m 644 resources/mars.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -D -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man6/%{name}.6

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc credits.txt
%license license.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6.gz

%files data
%{_datadir}/%{name}/

%changelog
* Tue Jun 23 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.7.5-10.20140507gitc855d04
- Add some header to fix compilation with SFML 2.3

* Sat Jun 20 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-9.20140507gitc855d04
- dropped 'if' conditions for f23 build

* Mon Jun 08 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-8.20140507gitc855d04
- added 'if' conditions to fix f23 build

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.7.5-7.20140507gitc855d04
- Rebuilt for GCC 5 C++11 ABI change

* Wed Feb 25 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-6.20140507gitc855d04
- dropped CMAKE_INSTALL_PREFIX because already sets by %%cmake macro

* Sat Jan 03 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-5.20140507gitc855d04
- added %%{name}-data as requirement

* Fri Jan 02 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-4.20140507gitc855d04
- added Group tag
- package game files and data files separately
- fixed desktop file

* Fri Jan 02 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-3.20140507gitc855d04
- added %%{_datadir}/%{name}/ 
- removed %%{_datadir}/icons/hicolor owned by hicolor-icon-theme
- added license.txt to %%license 

* Thu Jan 01 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-2.20140507gitc855d04
- added BR desktop-file-utils

* Wed Dec 31 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.7.5-1.20140507gitc855d04
- initial build for Fedora

